# This file was auto-generated by Fern from our API Definition.

import typing

import pydantic
from ..core.pydantic_utilities import IS_PYDANTIC_V2, UniversalBaseModel
from .concentration_endpoint_cdf_detail import ConcentrationEndpointCdfDetail
from .concentration_endpoint_top_users_detail import ConcentrationEndpointTopUsersDetail
from .concentration_timeseries_detail import ConcentrationTimeseriesDetail


class ConcentrationResponse(UniversalBaseModel):
    """
    A collection of concentration measurements of the amount.

    The "amount" is a generic term for the metric being measured, such as revenue or gtv.
    """

    time_series_metrics: typing.Optional[typing.List[ConcentrationTimeseriesDetail]] = pydantic.Field(default=None)
    """
    The time series metrics for the concentration of the amount. The top 5, 10, and 20 users are shown, as well as the top 10% and 20% of users, and some other supporting aggregate concentration metrics.
    """

    endpoint_top_users: typing.Optional[typing.List[ConcentrationEndpointTopUsersDetail]] = pydantic.Field(default=None)
    """
    Detail for the top users at the endpoint. Up to the top 100 users are show.
    """

    endpoint_cdf: typing.Optional[typing.List[ConcentrationEndpointCdfDetail]] = pydantic.Field(default=None)
    """
    The detailed cumulative distribution function (CDF). The CDF is presented at the top 100 users, and beyond that it is presented at approximately evenly spaced quantiles. This approach enables robustness to extremely large user bases. The CDF is presented for both users and amount.
    """

    if IS_PYDANTIC_V2:
        model_config: typing.ClassVar[pydantic.ConfigDict] = pydantic.ConfigDict(extra="allow", frozen=True)  # type: ignore # Pydantic v2
    else:

        class Config:
            frozen = True
            smart_union = True
            extra = pydantic.Extra.allow
