# This file was auto-generated by Fern from our API Definition.

import datetime as dt
import typing

import pydantic
from ..core.pydantic_utilities import IS_PYDANTIC_V2, UniversalBaseModel
from .group_response import GroupResponse
from .permission_model import PermissionModel


class UserWithPermissionsResponse(UniversalBaseModel):
    name: str = pydantic.Field()
    """
    The name of the user
    """

    email: str = pydantic.Field()
    """
    The email address of the user
    """

    thumbnail_url: typing.Optional[str] = pydantic.Field(default=None)
    """
    The thumbnail URL of the user
    """

    id: int
    created_at: typing.Optional[dt.datetime] = None
    updated_at: typing.Optional[dt.datetime] = None
    is_archived: typing.Optional[bool] = None
    super_user: typing.Optional[bool] = None
    api_key_final_characters: typing.Optional[str] = None
    groups: typing.Optional[typing.List[GroupResponse]] = None
    permissions_by_group: typing.Optional[typing.Dict[str, typing.Optional[typing.List[PermissionModel]]]] = None

    if IS_PYDANTIC_V2:
        model_config: typing.ClassVar[pydantic.ConfigDict] = pydantic.ConfigDict(extra="allow", frozen=True)  # type: ignore # Pydantic v2
    else:

        class Config:
            frozen = True
            smart_union = True
            extra = pydantic.Extra.allow
